# src/uml_generator/class_diagrams/types/relations.py

"""
Defines constants for various types of relationships in a UML diagram.

These constants are used throughout the UML generation process to represent
different types of relationships between classes.
"""

# Inheritance relationship, where a class extends another class
EXTENDS = 'extends'

# Implementation relationship, where a class implements an interface
IMPLEMENTS = 'implements'

# Association relationship, typically representing a "has-a" relationship
ASSOCIATION = 'association'
